Subject: JSA

From: [email-masked]
Date: 24 Oct 1994 21:18:23 -0000

Hello. I recently joined this sustainable agriculture network. I would like to
introduce myself. I am the Editor of the Journal of Sustainable Agriculture.
Hopefully, you are aware of this journal, which is now in its sixth year of
production. Articles are blind peer reviewed. There are no page charges. Please
keep us in mind as an information resource and a possible place to publish your
manuscripts. Papers dealing with any aspect of sustainable agriculture, both
nationally and internationally, are considered. If you have questions. please
E-mail me personally at [email-masked] you.